/*
 * H801 WiFi
 * off-the-shelf RGBWW led wifi controller
 * 
 * Settings in IDE:
 * - Board: "Generic ESP8266 Module"
 * - Flash Size: "1M (64k SPIFFS)"
 * - Upload Speed: "1152200"
 */

#include "DeviceLed.h"
#include "DeviceRgb.h"

const char* FWNAME = "things@H801wifi";

const byte PIN_LED = 14;
DeviceLed deviceLed(PIN_LED);

const byte PIN_RGB_RED = 15;
const byte PIN_RGB_GREEN = 13;
const byte PIN_RGB_BLUE = 12;
DeviceRgb deviceRgb(PIN_RGB_RED, PIN_RGB_GREEN, PIN_RGB_BLUE);

Device* devices[] = {
  &deviceLed,
  &deviceRgb,
};
